CoCoALib - Design #1086

New design for interrupt mechanism
30 Jun 2017 17:10 - John Abbott

Status: Closed Start date: 30 Jun 2017
Priority: Normal Due date:

Assignee: John Abbott % Done: 100%
Category: Improving Estimated time: 11.11 hours
Target version: CoCoALib-0.99560 Spent time: 11.00 hours
Description

The current desgn for interrupt mechanism is not ideal when CoCoALib is called from other libraries.

Try to make a better design.

Related issues:
Related to CoCoALib - Feature #638: Time limit: let user specify time limit f...
Related to CoCoALib - Bug #1458: Redesign interrupt mechanism?

Closed 27 Oct 2014
Rejected 10 May 2020

History

#1 - 30 Jun 2017 17:13 - John Abbott

The function SignallnterruptsCoCoA just overwrites any previously registered signal handler.

A better design might be use a "scoped object" for registering and later deregistering the signal handler.

This should make CoCoALib collaborate more nicely with other libraries.

#2 - 08 Jul 2017 21:15 - John Abbott

- Status changed from New to Feedback
- Assignee set to John Abbott

- % Done changed from 0 to 90

| have changed the implementation considerably (with simplifying consequences for GlobalManager and the interpreter (Main.C and C5.C).

Updated also the documentation. Checked in.

Let's test it for a while :-)
Next step is to complete the "timer".

#3 - 08 Jul 2017 21:31 - John Abbott

- Related to Feature #638: Time limit: let user specify time limit for a computation added
#4 - 08 Nov 2017 16:31 - John Abbott
- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time setto 11.11 h

#5 - 10 May 2020 11:54 - John Abbott
- Related to Feature #1457: Make SmoothFactor interruptible added

#6 - 10 May 2020 11:55 - John Abbott
- Related to deleted (Feature #1457: Make SmoothFactor interruptible)

#7 - 10 May 2020 12:06 - John Abbott
- Related to Bug #1458: Redesign interrupt mechanism? added
